%reset random generator
rng shuffle

%add nrrd processing capability
addpath('nrrd_read_write_rensonnet')

path='/home/studen/temp/dynamicSPECT';
[cax,cm]=loadTime(path,patientID);

nclass=str2num(nclass);
realizationId=str2num(realizationId);
centers=loadCenters(path,patientID,nclass,realizationId);

%this will write out fitPar
[globalPar, cPars] = fitCentersIVF(path, patientID, realizationId, cax, cm, centers);

%[globalPar, cPars, xa, U]=fitFromClusters(path,cax, cm, data, nclass,realizationId);

disp('DynamicAnalysisIVF done');

%writeData
